Subject: Re: C99 macros in math.h
From: egor duda <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Date: Tue, 2 Jul 2002 13:21:25 +0400

Hi!

Tuesday, 02 July, 2002 Corinna Vinschen [email-masked] wrote:

CV> On Tue, Jul 02, 2002 at 10:24:49AM +0200, Peter Ring wrote:
>> While I'd love to spend some time recompiling a Cygwin snapshot, it won't
>> happen until the end of the month. Meanwhile, I'll investigate the newlib
>> list.

CV> AFAICS, it's just that the corresponding functions are not exported
CV> from libcygwin.a.  I've added these four symbols to cygwin.din.
CV> Try the next snapshot.

We should also bump CYGWIN_VERSION_API_MINOR, right?

* include/cygwin/version.h: Bump API minor version.

Index: version.h
===================================================================
RCS file: /cvs/uberbaum/winsup/cygwin/include/cygwin/version.h,v
retrieving revision 1.65
diff -u -p -2 -r1.65 version.h
--- version.h   26 Jun 2002 04:21:01 -0000      1.65
+++ version.h   2 Jul 2002 08:54:22 -0000
@@ -152,4 +152,5 @@ details. */
        52: Export strptime
        53: Export strlcat, strlcpy.
+       54: Export __fpclassifyd, __fpclassifyf, __signbitd, __signbitf.
      */
 
@@ -157,5 +158,5 @@ details. */
 
 #define CYGWIN_VERSION_API_MAJOR 0
-#define CYGWIN_VERSION_API_MINOR 53
+#define CYGWIN_VERSION_API_MINOR 54
 
      /* There is also a compatibity version number associated with the

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/